Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.annotations.commons
Class WebResult

    java.lang.Object
      org.codehaus.xfire.annotations.WebResultAnnotation
          org.codehaus.xfire.annotations.commons.WebResult

    public class WebResult

extends WebResultAnnotation

Commons Attributes version of the WebResult Annotation.

Author:
  Arjen Poutsma
See Also:
  `WebResultAnnotation`

Constructor Summary
`WebResult()` Initializes a new instance of the `WebResult` attribute.
`WebResult(java.lang.String name)` Initializes a new instance of the `WebResult` attribute with the specified name.
`WebResult(java.lang.String name, java.lang.String targetNamespace)` Initializes a new instance of the `WebResult` attribute with the specified name and namespace.

Method Summary

Methods inherited from class org.codehaus.xfire.annotations.WebResultAnnotation
`getName, getTargetNamespace, setName, setTargetNamespace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WebResult

    public WebResult()

  Initializes a new instance of the `WebResult` attribute.

### WebResult

    public WebResult(java.lang.String name)

  Initializes a new instance of the `WebResult` attribute with the specified name.

  Parameters:
    `name` - the name.

### WebResult

    public WebResult(java.lang.String name,
                     java.lang.String targetNamespace)

  Initializes a new instance of the `WebResult` attribute with the specified name and namespace.

  Parameters:
    `name` - the name.
    `targetNamespace` - the target namespace.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.